---
type: api
title: Get global checkpoints
description: Get the current global checkpoints for an index.
url: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/elasticsearch/operation/operation-fleet-global-checkpoints
resource: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/elasticsearch/operation/operation-fleet-global-checkpoints
products:
  - Elasticsearch
---

# Get global checkpoints

Availability: Generally available since 7.13

## Paths

- `GET` `/{index}/_fleet/global_checkpoints`

#### Path parameters

- `index` (union string) — required
  A single index or index alias that resolves to a single index.

## Description

Get the current global checkpoints for an index.
This API is designed for internal use by the Fleet server project.

## Authentication

- Api key: `Authorization: <value>`
  Elasticsearch APIs support key-based authentication.
  You must create an API key and use the encoded value in the request header.
  For example:
  
  
  ```
  curl -X GET "${ES_URL}/_cat/indices?v=true" \
    -H "Authorization: ApiKey ${API_KEY}"
  ```
  
  To get API keys, use the `/_security/api_key` APIs.
- Basic: `Authorization: Basic <credentials>`
- Bearer: `Authorization: Bearer <token>`
  Elasticsearch APIs support the use of bearer tokens in the `Authorization` HTTP header to authenticate with the API.
  For examples, refer to [Token-based authentication services](https://www.elastic.co/docs/deploy-manage/users-roles/cluster-or-deployment-auth/token-based-authentication-services)

## Query string parameters

- `wait_for_advance` (boolean · default: false) — optional
  A boolean value which controls whether to wait (until the timeout) for the global checkpoints
to advance past the provided `checkpoints`.
- `wait_for_index` (boolean · default: false) — optional
  A boolean value which controls whether to wait (until the timeout) for the target index to exist
and all primary shards be active. Can only be true when `wait_for_advance` is true.
- `checkpoints` (number[] · default: []) — optional
  A comma separated list of previous global checkpoints. When used in combination with `wait_for_advance`,
the API will only return once the global checkpoints advances past the checkpoints. Providing an empty list
will cause Elasticsearch to immediately return the current global checkpoints.
- `timeout` (string · default: 30s) — optional
  Period to wait for a global checkpoints to advance past `checkpoints`.

## Response

`application/json`

- `global_checkpoints` (number[])
- `timed_out` (boolean)
## Code examples

#### Console

```console
GET /INDEX/_fleet/global_checkpoints
```

#### curl

```curl
curl -X GET "${ELASTICSEARCH_URL}/${INDEX}/_fleet/global_checkpoints" \
  -H "Authorization: ApiKey ${API_KEY}"
```

